var makeSlideshow = function(){

// Slideshow

// Image shows up when you land on page
// User clicks next, the next image shows. If the user is at the last image, start from the beginning (You should check against the length of the array)
// Same idea for previous button


// http://school.choppingblock.com/inclass.zip

// 1) Using querySelectorAll and a loop, populate the images array with all of the srcs
//    of the images that appear in the <div id="images"></div>
		// images.push("image.jpg");
var $imagesDiv = $("#images");
var $imageElements = $("#images img");
var $thumbContainerDiv = $("#thumbnail-container");

var switchCurrentClass = function($newCurrentElement){
				
	$(".thumbnail.current").removeClass("current");						
	$newCurrentElement.addClass("current");
}


var thumbnailClick = function(event){
	
	var $this = $(this);
	$imageElement.attr("src", $this.attr("src"));
	
	// Remove current class from the previously current image

	
	// Set a current css class 
	switchCurrentClass($this);
}

$imageElements.each( function(index){
	
	var $this = $(this);
	
	$this.remove();
	$this.addClass("thumbnail");
	
	if(index === 0){
		$this.addClass("current");
	}
	
	$this.appendTo($thumbContainerDiv);
	$this.click(thumbnailClick);
	
});

// 3) Create a new image tag with id=image and put it in the <div id="images"></div>		
// To change the src attribute of the image
var $imageElement = $("<img>").attr("id", "image")
							 .attr("src", $(".thumbnail").first().attr("src"));


$imagesDiv.append($imageElement);


// Add event listener for next button
var getNextImage = function(){

	// Find the thumbnail with the current class
	
	var $currentThumb = $(".thumbnail.current");
	
	if($currentThumb.next().length > 0){
		$imageElement.attr("src", $currentThumb.next().attr("src"));
		switchCurrentClass($currentThumb.next());
	}else{				
		var $firstThumb = $(".thumbnail").first();
		$imageElement.attr("src", firstThumb.attr("src"));
		switchCurrentClass($firstThumb);
		
	}			
}



// Add event listener for previous button
var getPreviousImage = function(){
	// Find the thumbnail with the current class
	
	var $currentThumb = $(".thumbnail.current");
	
	if($currentThumb.prev().length > 0){
		$imageElement.attr("src", $currentThumb.prev().attr("src"));
		switchCurrentClass($currentThumb.prev());
	}else{				
		var $lastThumb = $(".thumbnail").last();
		$imageElement.attr("src", $lastThumb.attr("src"));
		switchCurrentClass($lastThumb);
		
	}
	
}


var navigationClicked = function(event){
	
	var buttonElement = $(this);
	
	if(buttonElement.hasClass("previous")){
		getPreviousImage();
	}else if(buttonElement.hasClass("next")){				
		getNextImage();
	}			
	
}		


$(".navigation").click(navigationClicked);

// 37 for left
// 39 for right

var keyPressed = function(event){
	
	if(event.keyCode === 37){
		getPreviousImage();
	}else if(event.keyCode === 39){				
		getNextImage();
	}
	
}

$(window).on("keyup", keyPressed);
}
